document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_5800
--- +++ @@ -19,10 +19,7 @@ EXIT_CODE=0 IGNORE_EXIT=( - "lint-assertions.sh" "lint-circular-dependencies.sh" - "lint-python-dead-code.sh" - "lint-python.sh" ) for f in "${SCRIPTDIR}"/lint-*.sh; do
bash
d_bash_5801
--- +++ @@ -1,6 +1,4 @@ #!/usr/bin/env bash - -./uninstall.sh || exit 1 NAME="authms" BUILD_NAME="${NAME}-installer-version" @@ -9,16 +7,13 @@ INSTALL_DIR="/usr/local/bin" UNIT_FILE="/etc/systemd/system/${NAME}.service" +./systemd-uninstall.sh || exit 1 echo "Begin install" - mkdir -p "${CONF_DIR}" || exit...
bash
d_bash_5802
--- +++ @@ -2,7 +2,7 @@ # Update the noisy tournaments echo "-- Regenerating noisy tournament figures" # Run the noisy tournament -./run_axelrod --noise 0.05 --xc -p 0 -o assets +./run_axelrod --noise 0.05 --rc --xc -p 0 -o assets # Copy these figures over, renaming as appropriate mv assets/strategies_payoff.png...
bash
d_bash_5803
--- +++ @@ -24,6 +24,6 @@ # These binaries are required to 'make test' # mysqld might be in /usr/sbin which will not be in the default PATH PATH="/usr/sbin:$PATH" -for binary in mysqld consul etcd etcdctl zksrv.sh javadoc mvn ant curl wget zip unzip; do +for binary in k3s mysqld consul etcd etcdctl zksrv.sh javado...
bash
d_bash_5804
--- +++ @@ -7,7 +7,7 @@ exit 0 fi -if [[ -z "{GITHUB_TOKEN}" ]] ; then +if [[ -z "${GITHUB_TOKEN}" ]] ; then echo "GitHub API key needs to be set to update docs." exit 0 fi
bash
d_bash_5805
--- +++ @@ -2,6 +2,17 @@ set -euo pipefail +# Drop users if they already exist +function user_rm() { + kubectl exec "cockroachdb-${1}" -- /cockroach/cockroach user rm ${2} \ + --host "cockroachdb-${1}.cockroachdb" \ + --insecure +} + +user_rm 0 {{ k8s_community_db_username }} +user_rm 0 {{ k8s_github_...
bash
d_bash_5806
--- +++ @@ -1,4 +1,4 @@ -#! /usr/local/bin/bash +#! /usr/bin/env bash # Bootstrap script for the sibyl #
bash
d_bash_5807
--- +++ @@ -2,7 +2,7 @@ # install arch packages sudo pacman -S --noconfirm mercurial vim ctags docker autojump \ - autogen openconnect xclip pwgen ranger nodejs npm go dotnet-sdk tlp ethtool smartmontools + autogen openconnect xclip pwgen ranger nodejs npm go dotnet-sdk tlp ethtool smartmontools udisks2 ...
bash
d_bash_5808
--- +++ @@ -4,6 +4,6 @@ touch tld/$rootdomain echo 'server {' >> tld/$rootdomain -echo ' server_name '$rootdomain >> tld/$rootdomain +echo ' server_name '$rootdomain';' >> tld/$rootdomain echo ' rewrite ^/(.*) http://www.'$rootdomain'/$1 permanent;' >> tld/$rootdomain echo '}' >> tld/$rootdomain
bash
d_bash_5809
--- +++ @@ -4,6 +4,7 @@ add-apt-repository -y ppa:rethinkdb/ppa add-apt-repository -y ppa:chris-lea/node.js aptitude -y update +aptitude -y upgrade aptitude install -y rethinkdb nginx-light apache2-utils python-twisted \ rubygems python-pip npm nodejs ruby1.9.1 rubygems1.9.1 python-dev ruby1.9.1-dev \ b...
bash
d_bash_5810
--- +++ @@ -1,4 +1,4 @@ if command -v brew >/dev/null 2>&1 ; then alias brews='brew list --versions' - alias bubu='brew update && brew upgrade --all && brew cleanup' + alias bubu='brew update && brew upgrade && brew cleanup' fi
bash
d_bash_5811
--- +++ @@ -3,6 +3,9 @@ # Configuring network services for CPRS. # # You MUST use "sudo" to execute this script. +# +# TODO : Replace $USER and $HOME in the cprs-vista-xinetd file before copying +# it to /etc/xinetd.d. # sudo cp $HOME/OSEHRA/VistA-installation-scripts/Scripts/cprs-vista-xinetd /etc/xinetd.d/...
bash
d_bash_5812
--- +++ @@ -7,17 +7,17 @@ set_language_and_region_preferences() { - execute 'defaults write NSGlobalDomain AppleLanguages -array "en" "ro"' \ - 'Set language' + # execute 'defaults write NSGlobalDomain AppleLanguages -array "en"' \ + # 'Set language' - execute 'defaults write NSGlobalDom...
bash
d_bash_5813
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env bash - +apt-get update -y apt-get install -y git python-virtualenv python-dev python-software-properties apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0xcbcb082a1bb943db
bash
d_bash_5814
--- +++ @@ -5,8 +5,8 @@ ~/dotfiles/setup/create_symlinks.sh ~/dotfiles/setup/setup_prefs.sh ~/dotfiles/setup/install_brew.sh +~/dotfiles/setup/install_casks.sh ~/dotfiles/setup/install_packages.sh -~/dotfiles/setup/install_casks.sh ~/dotfiles/setup/install_mas_apps.sh ~/dotfiles/setup/install_fonts.sh ~/dotfil...
bash
d_bash_5815
--- +++ @@ -4,7 +4,9 @@ #plugins=(ant django extract git git-flow github history-substring-search pip python ruby ssh-agent dirpersist) plugins=(vi-mode extract history-substring-search python ruby ssh-agent osx copyfile gitignore) -source ~/.rvm/scripts/rvm +if [ -f ~/.rvm/scripts/rvm ]; then + source ~/.rvm/...
bash
d_bash_5816
--- +++ @@ -22,3 +22,4 @@ defaults write com.apple.dt.Xcode IDEIndexerActivityShowNumericProgress -bool true +defaults write http://com.apple.dt.Xcode ShowDVTDebugMenu -bool YES
bash
d_bash_5817
--- +++ @@ -14,3 +14,12 @@ libmagickcore-dev libmagickwand-dev build-essential libkrb5-dev python-dev \ libssl-dev zlib1g-dev libbz2-dev libreadline-dev libsqlite3-dev llvm \ ghostscript + + # Install ImageMagick + export MAKEFLAGS="-j $(grep -c ^processor /proc/cpuinfo)" + cd /opt + wget http://www.imag...
bash
d_bash_5818
--- +++ @@ -28,3 +28,5 @@ # Hide/show all desktop icons (useful when presenting) alias hidedesktop="defaults write com.apple.finder CreateDesktop -bool false && killall Finder" alias showdesktop="defaults write com.apple.finder CreateDesktop -bool true && killall Finder" + +alias dotfiles="cd ~/.dotfiles"
bash
d_bash_5819
--- +++ @@ -5,4 +5,3 @@ sudo dnf copr enable mkosek/freeipa-master -y sudo dnf copr enable edewata/pki-fedora -y sudo dnf copr enable mkosek/freeipa -y -sudo dnf copr enable edewata/pki -y
bash
d_bash_5820
--- +++ @@ -12,7 +12,7 @@ if [ -d "${LLVM_DIRECTORY}" ]; then echo "Using cached LLVM download for ${LLVM}..." else - wget http://llvm.org/releases/${LLVM_VERSION_TRIPLE}/${LLVM}.tar.xz + wget http://llvm.org/releases/${LLVM_VERSION_TRIPLE}/${LLVM}.tar.xz --debug --verbose mk...
bash
d_bash_5821
--- +++ @@ -5,4 +5,4 @@ wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add - sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list' apt-get update -apt-get --only-upgrade install google-chrome-stable +apt-get -y instal...
bash
d_bash_5822
--- +++ @@ -1,3 +1,4 @@ #!/bin/bash +sudo apt-get update sudo apt-get install -y clang-3.5 llvm-3.5-dev
bash
d_bash_5823
--- +++ @@ -1,6 +1,3 @@ #!/bin/bash -# -# @author leodido -indexer --all "$@" -./searchd.sh +indexer --all "$@" && searchd && while true; do indexer --all --rotate "$@"; sleep 5; done
bash
d_bash_5824
--- +++ @@ -18,6 +18,7 @@ git fetch --depth=1 dest gh-pages > /dev/null 2>&1 git reset dest/gh-pages -git add . +echo "hacktun.es" > CNAME +git add -A . git commit -m "Auto-build of ${REV}" git push dest HEAD:gh-pages > /dev/null 2>&1
bash
d_bash_5825
--- +++ @@ -1,3 +1,6 @@ +#!/bin/bash +set -e + if [ -n "${GCLOUD_SERVICE_KEY+1}" ]; then sudo pip install -U crcmod echo $GCLOUD_SERVICE_KEY > ${HOME}/client-secret.json
bash
d_bash_5826
--- +++ @@ -1,7 +1,4 @@ #!/bin/bash -heroku update -heroku -v HEROKU_API_KEY="$1" heroku container:login heroku container:push web --app geekplanet-staging --arg BUILD_ENV="staging" -heroku container:release web --app geekplanet-staging
bash
d_bash_5827
--- +++ @@ -28,7 +28,7 @@ source $(dirname $0)/../vendor/github.com/tektoncd/plumbing/scripts/presubmit-tests.sh function post_build_tests() { - golangci-lint run + golangci-lint run --deadline 3m } # We use the default build, unit and integration test runners.
bash
d_bash_5828
--- +++ @@ -6,7 +6,7 @@ UUID=$3 etcd2 --name ${HOSTNAME} --data-dir /tmp/etcd \ - --initial-advertise-peer-urls "http://${HOST_IP}:2380" \ + --initial-advertise-peer-urls "http://${HOST_IP}:2380,http://${HOST_IP}:7001" \ --listen-peer-urls "http://0.0.0.0:2380" \ --listen-client-urls "...
bash
d_bash_5829
--- +++ @@ -11,6 +11,6 @@ export PACKAGES="valgrind clang llvm python3-zmq libevent-dev bsdmainutils libboost-dev libboost-system-dev libboost-filesystem-dev libboost-test-dev libdb5.3++-dev libminiupnpc-dev libnatpmp-dev libzmq3-dev libsqlite3-dev" export USE_VALGRIND=1 export NO_DEPENDS=1 -export TEST_RUNNER_EXT...
bash
d_bash_5830
--- +++ @@ -1,7 +1,5 @@ #!/bin/bash # Invoke with: ./tools/clean.sh - -no_compile=$1 if [ -f .project ]; then cp .project .pydevproject /tmp @@ -13,8 +11,6 @@ cp /tmp/.project /tmp/.pydevproject . fi -if [ "$no_compile" != "" ]; then - cd sts/hassel/hassel-c - make -fi +cd sts/hassel/hassel-c +mak...
bash
d_bash_5831
--- +++ @@ -1,2 +1,2 @@ # Execute tests -nosetests -v test/TestIM.py test/test_im_logic.py test/TestREST.py test/TestREST_JSON.py test/connectors/*.py test/SSH.py test/VMRC.py --with-timer --timer-no-color --with-xunit --with-coverage --cover-erase --cover-html --cover-xml --cover-package=IM +nosetests -v test/unit/...
bash
d_bash_5832
--- +++ @@ -1,3 +1,3 @@ #!/usr/bin/env bash cd $(dirname $0)/.. -$(yarn bin)/textlint ./README.md ./CHANGELOG.md || exit 0 +$(yarn bin)/textlint "./*.md" || exit 0
bash
d_bash_5833
--- +++ @@ -12,4 +12,6 @@ paster create -t akhet $APPNAME $* cd $APPNAME +pip install -r requirements.txt +python setup.py egg_info paster serve development.ini
bash
d_bash_5834
--- +++ @@ -13,15 +13,18 @@ mkdir -p "$DIR" cd "$DIR" -touch requirements.txt requirements-local.txt requirements.md5 +if [[ -f requirements.txt ]]; then + if [[ ! -s requirements.txt.md5 ]] || ! md5sum --status -c requirements.txt.md5 > /dev/null 2>&1; then + echo "Python requirements in '$DIR' directo...
bash
d_bash_5835
--- +++ @@ -66,7 +66,7 @@ CASKS=( github hammerspoon - kaleidscope + kaleidoscope monitorcontrol slack )
bash
d_bash_5836
--- +++ @@ -14,6 +14,6 @@ git config --global color.ui true git config --global core.editor vim git config --global core.excludesfile ~/.gitignore_global -git config --global push.default simple +git config --global push.default current git config --global user.email "mail@stefan-birkner.de" git config --global ...
bash
d_bash_5837
--- +++ @@ -17,6 +17,8 @@ cargo check --target $target done +RUSTFLAGS="--cfg miri" cargo check + rustup toolchain install 1.39.0 cargo clean rm Cargo.lock
bash
d_bash_5838
--- +++ @@ -12,6 +12,7 @@ alias gst='git st' alias gd='git diff' alias gbrt='git branch-timeline' +alias gap='git add -p' alias vi='vim'
bash
d_bash_5839
--- +++ @@ -9,4 +9,4 @@ git clone https://github.com/aslushnikov/latex-online /var/www cd /var/www npm install . -export NODE_ENV=development && export VERSION=$(git rev-parse HEAD) && node app.js +export NODE_ENV=production && export VERSION=$(git rev-parse HEAD) && node app.js
bash
d_bash_5840
--- +++ @@ -8,6 +8,10 @@ case "$1" in -b|--build) BUILD="1" + ;; + -v|--version) + shift + GOLANG_VERSION="$1" ;; *) path="$1"
bash
d_bash_5841
--- +++ @@ -4,4 +4,4 @@ curl -H 'Cache-Control: no-cache' https://raw.githubusercontent.com/fossas/fossa-cli/master/install.sh | bash FOSSA_API_KEY="$(cat $FOSSA_TOKEN_FILE)" fossa analyze -FOSSA_API_KEY="$(cat $FOSSA_TOKEN_FILE)" fossa test +FOSSA_API_KEY="$(cat $FOSSA_TOKEN_FILE)" fossa test --timeout=1800
bash
d_bash_5842
--- +++ @@ -7,7 +7,7 @@ for DIR in src/sites/*/; do NAME=$(basename "$DIR") - [[ $NAME =~ ^(node_modules)$ ]] && continue + [[ $NAME =~ ^(node_modules|Sankaku|Tumblr|Reddit)$ ]] && continue [[ ! -f "$DIR/model.js" ]] && continue pushd "$DIR"
bash
d_bash_5843
--- +++ @@ -12,18 +12,12 @@ cd ../java-6-with-warning ./gradlew clean >/dev/null -printf "\n*** Test with JDK6_HOME to see warning " -JDK6_HOME="C:\Program Files\Java\jdk1.6.0_45" ./gradlew compileJava -./gradlew clean >/dev/null printf "\n*** Test with JAVA_HOME to see warning " ./gradlew compileJava ./gradle...
bash
d_bash_5844
--- +++ @@ -13,6 +13,8 @@ echo 'PYTHON_SINGLE_TARGET="python3_3"' >> /etc/portage/make.conf echo 'USE_PYTHON="3.3"' >> /etc/portage/make.conf echo 'USE="${USE} sqlite"' >> /etc/portage/make.conf + # mask 3.4 until pip supports pyhton3_4 target + echo '>=dev-lang/python-3.4.0' >> /etc/portage/pack...
bash
d_bash_5845
--- +++ @@ -16,7 +16,7 @@ if [ -d /opt/boxen ] ; then BOXEN_PATH=/opt/boxen/rbenv/shims:/opt/boxen/rbenv/bin:/opt/boxen/rbenv/plugins/ruby-build/bin:/opt/boxen/bin:/opt/boxen/homebrew/bin:/opt/boxen/homebrew/sbin - # TODO add ${BOXEN_PATH} to PATH conditionally + export PATH=${BOXEN_PATH}:${PATH} fi ...
bash
d_bash_5846
--- +++ @@ -23,4 +23,5 @@ -r "$GH_PAGES_URL" \ -o "$OUTPUT"\ --min-acl public \ - --use-safe-filenames + --use-safe-filenames \ + --exclude="Sources/Support/*.swift"
bash
d_bash_5847
--- +++ @@ -16,6 +16,10 @@ echo "\n\033[0;33mClearing cache\033[0m \n" php cli/cmd.php tasks/clearcache $CHECKSUM +# Force all the jobs to run +echo "\n\033[0;33mRunning jobs\033[0m \n" +php cli/jobs.php force + # Update Composer binary echo "\n\033[0;33mUpdating composer\033[0m \n" php composer.phar self-upda...
bash
d_bash_5848
--- +++ @@ -6,6 +6,6 @@ ${ROOT_DIR}/pipeline/jobs/build_job.sh ${ROOT_DIR}/pipeline/jobs/unittest_job.sh --testcategories BulkNormal ${ROOT_DIR}/pipeline/jobs/unittest_job.sh --testcategories BulkNoSize -${ROOT_DIR}/pipeline/jobs/unittest_job.sh --testcategories SVNDataLong,SVNData,RecoveryTool +${ROOT_DIR}/pipeli...
bash
d_bash_5849
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh # Generates API documentation. -# Requires documentationjs <http://documentation.js.org/>. +# Requires documentationjs <https://documentation.js.org/>. # Usage: # @@ -19,4 +19,4 @@ fi echo "Generating documentation..." -documentation ../../src/js/pannellum.js ../../src/js...
bash
d_bash_5850
--- +++ @@ -2,14 +2,12 @@ set -e # setup nvm -mv ../../../.nvmrc nvmrc # Remove for init otherwise nvm init could fail if [[ "$OSTYPE" == "darwin"* ]]; then export NVM_DIR=~/.nvm source $(brew --prefix nvm)/nvm.sh else source $NVM_DIR/nvm.sh fi -mv nvmrc ../../../.nvmrc # install node NODE_VERSION=8....
bash
d_bash_5851
--- +++ @@ -45,6 +45,6 @@ fi set -e -bundle update +bundle _${BUNDLER_VERSION}_ update -bundle exec rake autobuild --trace +bundle _${BUNDLER_VERSION}_ exec rake autobuild --trace
bash
d_bash_5852
--- +++ @@ -11,7 +11,7 @@ fi ext=".${sp##*.}" spp="${WRKSRC}/$(basename ${sp}).patch" - for i in $(seq 1 20); do + for i in $(seq 1 100); do rm -f "${spp}" touch "${spp}" find "${WRKSRC}" | grep '\.\(c\|h\)$' | while read f; do @@ -30,7 +30,7 @@ if ! test -s "$...
bash
d_bash_5853
--- +++ @@ -17,7 +17,7 @@ if ! $( python -c "import freki" 2>/dev/null >/dev/null ); then TMP=`mktemp -d` pushd "$TMP" - git clone https://github.com/xigt/freki.git + git clone --branch master https://github.com/xigt/freki.git pip install ./freki popd rm -rf "$TMP" @@ -26,7 +26,7 @@ i...
bash
d_bash_5854
--- +++ @@ -15,7 +15,7 @@ export PATH="/usr/local/lib:$PATH" # Set path for virtual environment -export WORKON_HOME="$PWD/.virtualenvs" +export WORKON_HOME="$HOME/.virtualenvs" export VIRTUALENVWRAPPER_PYTHON=/usr/bin/python export VIRTUALENVWRAPPER_VIRTUALENV=/usr/local/bin/virtualenv source /usr/local/bin/vi...
bash
d_bash_5855
--- +++ @@ -4,6 +4,21 @@ """ 1500 Kbps 720p is too high. 500 (480p) is good + +Protocol: RTMP Flash Streaming +Video codec: H.264, Main 4.1 +Frame rate: up to 60 fps +Keyframe frequency: 2 seconds +Audio codec: AAC-LC (or MP3) +Audio sample rate: 44.1 KHz +Audio bitrate: 128 Kbps stereo + +Keyfr...
bash
d_bash_5856
--- +++ @@ -15,7 +15,7 @@ *) echo "Unsupported platform"; exit 1;; esac -for COCKROACH_VERSION in v2.1.0-alpha.20180730; do +for COCKROACH_VERSION in v2.1.3; do COCKROACH_NAME=cockroach-${COCKROACH_VERSION}.${COCKROACH_PLATFORM} DOWNLOAD_DIR=~/cockroach-download
bash
d_bash_5857
--- +++ @@ -4,23 +4,14 @@ #!/bin/bash ENV=$1 P=$2 -GIT_CREDENTIALS=$3 +TOKEN=$3 VERSION=`mvn org.apache.maven.plugins:maven-help-plugin:2.1.1:evaluate -Dexpression=project.version | grep ^0.` -# we use settings from a provate github repo with secret passwords -if [ -d "gbif-configuration" ]; then - #If gitrepo...
bash
d_bash_5858
--- +++ @@ -3,22 +3,22 @@ qldirectory=~/Library/QuickLook PLUGINS=( \ - https://github.com/whomwah/qlstephen/releases/download/1.4.2/QLStephen.qlgenerator.1.4.2.zip \ - https://github.com/Keithbsmiley/PlaygroundQuickLook/releases/download/0.1.0/PlaygroundQuickLook.qlgenerator.zip \ + whomwah/qlstephen \ + ...
bash
d_bash_5859
--- +++ @@ -1,16 +1,22 @@ #!/bin/bash - DB_NAME=asaim_galaxy DB_ROLE=galaxy -if psql ${DB_NAME} -c '' 2>&1; then - echo "database ${DB_NAME} exists" - dropdb ${DB_NAME} -fi -if psql postgres -tAc "SELECT 1 FROM pg_roles WHERE rolname='${DB_ROLE}'" | grep -q 1; then - echo "role ${DB_ROLE} exists" - dr...
bash
d_bash_5860
--- +++ @@ -18,3 +18,6 @@ then exit $EXITCODE fi + +export PATH=$PATH:$HOME/gopath/bin/ +goveralls -v -coverprofile=profile.cov -service=travis-ci -repotoken=sFrR9ZmLP5FLc34lOaqir67RPzYOvFPUB
bash
d_bash_5861
--- +++ @@ -6,6 +6,7 @@ # install apt-get dependencies APT_GET_DEPENDS=("vim" "git" "curl" "tree" "jq" "awscli" "tmux") +APT_GET_DEPENDS+=("xclip") APT_GET_DEPENDS+=("openssh-client" "openssh-server") APT_GET_DEPENDS+=("dmsetup") sudo apt-get update
bash
d_bash_5862
--- +++ @@ -5,6 +5,11 @@ install) brew cask install sublime-text3 ln -s ~/Applications/Sublime\ Text.app /Applications/ + #install sublime package manager + wget -P ~/Library/Application Support/Sublime Text 2/Installed\ Packages/ https://packagecontrol.io/Package%20Control.sublime-package + + #TODO ...
bash
d_bash_5863
--- +++ @@ -7,7 +7,11 @@ readonly COMPLETION_DATE=$(date) -echo - \ - \[${TASK_NUMBER}\] \(src/main/scala/${PACKAGE_PATH}/${TASK_NUMBER}.scala\) \ - \([tests] \(src/test/scala/${PACKAGE_PATH}/${TASK_NUMBER}Tests.scala\)\) \ - completed ${COMPLETION_DATE} >> README.md +if [ -n "$1" ]; then + ...
bash
d_bash_5864
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u272-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u272b10.tar.gz" + echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u275-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u275b...
bash
d_bash_5865
--- +++ @@ -17,5 +17,5 @@ fi cd /app -echo "MY OPTIONS MY OPTIONS WOOO MY OPTIONS: $CMD_OPTS" + MIX_ENV=prod elixir $CMD_OPTS -pa _build/prod/consolidated -S mix server
bash
d_bash_5866
--- +++ @@ -7,7 +7,9 @@ echo -e "\033[0;32mInstalling latest ponyc release\033[0m" sudo add-apt-repository ppa:ponylang/ponylang -y sudo apt-get update - sudo apt-get -V install ponyc -y + # NOTE: libpcre2-dev is specified because otherwise + # apt refuses to install it and everything fails + sudo apt-ge...
bash
d_bash_5867
--- +++ @@ -2,8 +2,15 @@ set -e # set -x +# Detect which `ls` flavor is in use +if ls --color > /dev/null 2>&1; then + COLORFLAG="--color=never" +else + COLORFLAG="" +fi + FILES=$( - ls --color=never test/**/*.js test/*.js | \ + ls $COLORFLAG test/**/*.js test/*.js | \ sed "s/test\//.\//g" | \ ...
bash
d_bash_5868
--- +++ @@ -10,7 +10,10 @@ # Include various settings # ############################################################################### -source "osx-settings/*.sh" +for f in osx-settings/*.sh +do + source $f +done ##############################################...
bash
d_bash_5869
--- +++ @@ -23,8 +23,6 @@ sudo -v # Force up to date sudo token before the user walks away REV_SPEC="$1" -LOGS="$2" -RESULTS="$3" update_and_build "$REV_SPEC" @@ -39,7 +37,7 @@ start 0 -t Single -S profiling/$backend/$benchmark popd # Chances are sudo will throw out PYTHONPATH unless we ...
bash
d_bash_5870
--- +++ @@ -10,4 +10,4 @@ R CMD check "${PKG_TARBALL}" --as-cran # Check for warnings export RCHECK_DIR=$(Rscript -e 'cat(paste0(devtools::as.package(".")$package, ".Rcheck"))') -grep -q -R "WARNING" "${RCHECK_DIR}/00check.log"; RETVAL=$? +grep -q -R "ERROR\|WARNING" "${RCHECK_DIR}/00check.log"; RETVAL=$?
bash
d_bash_5871
--- +++ @@ -1,11 +1,13 @@ # enable programmable completion features (you don't need to enable # this, if it's already enabled in /etc/bash.bashrc and /etc/profile # sources /etc/bash.bashrc). -if ! shopt -oq posix; then - if [ -f /usr/share/bash-completion/bash_completion ]; then - . /usr/share/bash-completion...
bash
d_bash_5872
--- +++ @@ -15,6 +15,7 @@ # Shiftit alias start="bundle exec foreman start -f Procfile.dev" +alias migrate="foreman run rake db:migrate" alias tail_log="tail -f log/development.log" # Vagrant
bash
d_bash_5873
--- +++ @@ -1,6 +1,8 @@ UNAME=$(uname) if [ "${UNAME}" = "Darwin" ]; then + SUGGFILE=/usr/local/share/zsh-autosuggestions/zsh-autosuggestions.zsh +elif [ "${UNAME}" = "FreeBSD" ]; then SUGGFILE=/usr/local/share/zsh-autosuggestions/zsh-autosuggestions.zsh else # Assume Archlinux SUGGFILE=/usr/share/zsh/plu...
bash
d_bash_5874
--- +++ @@ -10,7 +10,7 @@ if [ $? != 0 ]; then exit 1; fi LCOV=`which lcov` -if test -f $LCOV; then +if [ "x" != "x$LCOV" ]; then make coverage-libtests pushd ../../src/spatialdata && \ @@ -22,7 +22,7 @@ fi PYCOV=`which coverage` -if test -f $PYCOV; then +if [ "x" != "x$PYCOV" ]; then make coverage...
bash
d_bash_5875
--- +++ @@ -17,6 +17,7 @@ alias gpb='git checkout $(git branch | cut -c 3- | pick)' alias gcb='git copy-branch-name' alias gb='git branch' +alias gdb='git branch -D $(git branch | cut -c 3- | pick)' alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun. alias gri='git rebase -i' alias gr=...
bash
d_bash_5876
--- +++ @@ -11,4 +11,4 @@ cd phpunit git checkout 24b6cfcec34c1167 # release 8.2.2 composer install -~/project/build/psalm.phar --config=.psalm/config.xml +~/project/build/psalm.phar --config=.psalm/config.xml --monochrome
bash
d_bash_5877
--- +++ @@ -1,7 +1,18 @@ # libiconv must be listed in load flags on non-Glibc # it doesn't hurt to have it in Glibc either though iconvLdflags() { - export NIX_LDFLAGS="$NIX_LDFLAGS -liconv" + # The `depHostOffset` describes how the host platform of the dependencies + # are slid relative to the depending ...
bash
d_bash_5878
--- +++ @@ -13,10 +13,6 @@ # Filter to run sub tests and turn up verbosity to show which tests will be run if [[ -n "${sub_tests}" ]]; then gotest_flags+=" -run TestIntegration/${sub_tests} -v" - COVERAGE_SPEC=" " DETECT_RACES=false TMPDIR="${BASETMPDIR}" TIMEOUT=45m GOTEST_FLAGS="${gotest_flags}" "${OS_ROOT}/ha...
bash
d_bash_5879
--- +++ @@ -1,4 +1,9 @@ #!/bin/bash # Setup paths to run codes -PYTHONPATH=`pwd` +FILE="`pwd`/common_python" +# +if test -d "$FILE"; then + PYTHONPATH=$FILE:$PYTHONPATH +fi +PYTHONPATH=`pwd`:$PYTHONPATH export PYTHONPATH
bash
d_bash_5880
--- +++ @@ -2,7 +2,7 @@ RUN_BASH=$1 -for branch in raft-45 raft-46 raft-56 raft-58 raft-58-initialization raft-42 raft-66; do +for branch in raft-45 raft-46 raft-56 raft-58 raft-58-initialization raft-42 raft-66 spark-2294 spark-3150; do git checkout $branch git pull git subtree pull --prefix=interposit...
bash
d_bash_5881
--- +++ @@ -7,8 +7,10 @@ readonly name="EVPath" readonly ownership="EVPath Upstream <robot@adios2>" readonly subtree="thirdparty/EVPath/EVPath" -readonly repo="https://github.com/GTkorvo/EVPath.git" -readonly tag="master" +#readonly repo="https://github.com/GTkorvo/EVPath.git" +#readonly tag="master" +readonly rep...
bash
d_bash_5882
--- +++ @@ -13,7 +13,7 @@ ignore_list='(MurmurHash3.c|rbt_gen.c|oval_testing_ext_probe.c)$' echo "Files from this mask will not be checked: $ignore_list" - codebase=$(find $top_srcdir/src/ -name "*.c" | sort) + codebase=$(find $top_srcdir/src/ $top_srcdir/tests/ -name "*.c" | sort) echo "$codebase" | grep -vE...
bash
d_bash_5883
--- +++ @@ -26,5 +26,8 @@ fi done +ls -1 ${LV2_ABS_DIR}/ +ls -1 ${LV2_ABS_DIR}/ | wc -l + rm -rf ${DATA_DIR}
bash
d_bash_5884
--- +++ @@ -1,9 +1,11 @@ #!/bin/bash cd `dirname $0`/.. +cp -a json-logs/samples/audit/. ../seratch-slack-types/json/audit-api/ cp -a json-logs/samples/api/. ../seratch-slack-types/json/web-api/ cp -a json-logs/samples/events/. ../seratch-slack-types/json/events-api/ cp -a json-logs/samples/rtm/. ../seratch-sl...
bash
d_bash_5885
--- +++ @@ -22,7 +22,7 @@ eval `opam config env` export OPAMYES="true" -opam install ocamlbuild +opam install ocamlfind topkg ocamlbuild opam pin add dsfo git://github.com/rleonid/dsfo #echo Installing Libraries
bash
d_bash_5886
--- +++ @@ -1,23 +1,22 @@ #!/bin/sh -## customize these variables -host=gly ## use . for local host +## customize these +## use host=. for local host +host=my_host path=~/mail/new -port=44422 -ssh=/usr/bin/ssh -user=jrm +port=22 +user=me +interval=30 -interval=30 -if [ ${host} = '.' ]; then - nmc="ls ${path}...
bash
d_bash_5887
--- +++ @@ -1,5 +1,8 @@ # Shortcut for system file launch tool alias open=xdg-open + +# alias for using emacs when running in server mode +alias em='emacsclient -t' # Git aliases #
bash
d_bash_5888
--- +++ @@ -3,10 +3,9 @@ set -e unzip lattice-bundle-ci/lattice-bundle-v*.zip -terraform_dir=$PWD/lattice-bundle-v*/terraform/aws +terraform_dir=$(echo $PWD/lattice-bundle-v*/terraform/aws) -echo "$AWS_SSH_PRIVATE_KEY" > key.pem -mv key.pem $terraform_dir/ +echo "$AWS_SSH_PRIVATE_KEY" > $terraform_dir/key.pem ...
bash
d_bash_5889
--- +++ @@ -12,13 +12,13 @@ cd /opt git clone https://github.com/6admin/6admin.git +# Install core dependencies (update as we are on dev) +cd /opt/6admin/core +composer update + # Installing the six command -cd 6admin +cd /opt/6admin chmod +x six ln -s /opt/6admin/six /usr/local/bin/six -# Install core depen...
bash
d_bash_5890
--- +++ @@ -1,9 +1,11 @@ #!/usr/bin/env bash + +# Update this when a new stable version comes around +STABLE_DEFINITIONS="5.3.19 5.4.9" TIME="$(date "+%Y%m%d%H%M%S")" DEFINITIONS="$(./bin/php-build --definitions)" -STABLE_DEFINITIONS="5.3.19 5.4.9" BUILD_PREFIX="/tmp/php-build-test-$TIME" BUILD_LIST= @@ -1...
bash
d_bash_5891
--- +++ @@ -6,9 +6,17 @@ composer install --no-interaction --prefer-source +CLI_VERSION=$(head -n 1 VERSION) +if [[ $CLI_VERSION == *"-alpha"* ]] +then + GIT_HASH=$(git rev-parse HEAD) + GIT_SHORT_HASH=${GIT_HASH:0:7} + CLI_VERSION="$CLI_VERSION-$GIT_SHORT_HASH" +fi + # the Behat test suite will pick up the exe...
bash
d_bash_5892
--- +++ @@ -1,12 +1,10 @@ eval "$(npm completion 2>/dev/null)" - - -# npm package names are lowercase -# - https://twitter.com/substack/status/23122603153150361 -# Thus, we've used camelCase for the following aliases: # Install dependencies globally alias npmg="npm i -g " + +# npm package names are lowercase +# ...
bash
d_bash_5893
--- +++ @@ -20,8 +20,15 @@ if $ssh; then \vim -p "$@" elif which "gvim" &> /dev/null; then + xdotool=$(which xdotool) + if [ -z "${xdotool}" ]; then + echo -e '\x1b[0;93mWARNING\x1b[0m: xdotool does not seem to be installed.' + else + window_id=$(xdotool sea...
bash
d_bash_5894
--- +++ @@ -4,3 +4,44 @@ # eval `hub alias -s zsh` function git(){hub "$@"} fi + +# Functions ################################################################# + +# https://github.com/dbb + +# These are taken directly from the instructions you see after you create a new +# repo. As the names imply, new_gh...
bash
d_bash_5895
--- +++ @@ -1,6 +1,6 @@ -wget https://github.com/swagger-api/swagger-ui/archive/v2.2.3.zip -unzip v2.2.3.zip -mv swagger-ui-2.2.3/dist $STACK_PATH/public/swagger -rm -rf swagger-ui-2.2.3/ -rm v2.2.3.zip +wget https://github.com/swagger-api/swagger-ui/archive/v3.0.5.zip +unzip v3.0.5.zip +mv swagger-ui-3.0.5/dist $S...
bash
d_bash_5896
--- +++ @@ -8,6 +8,13 @@ # auto loads node version from .nvmrc file export NVM_AUTO_USE=true + +# android +export ANDROID_HOME=$HOME/Library/Android/sdk +export PATH=$PATH:$ANDROID_HOME/tools +export PATH=$PATH:$ANDROID_HOME/platform-tools +# arcanist to path +export PATH=$PATH:~/arc/arcanist/bin # FileSearch ...
bash
d_bash_5897
--- +++ @@ -19,3 +19,6 @@ ansi --green "Installing Chezmoi" go install github.com/twpayne/chezmoi@latest + +ansi --green "Install assembly formatter" +go get -u github.com/klauspost/asmfmt/cmd/asmfmt
bash
d_bash_5898
--- +++ @@ -13,11 +13,11 @@ [[ -f ./bootstrap.sh ]] && ./bootstrap.sh || echo "No boostrap file found" # Clone & config the private repository -mkdir -p ${DOTFILES_PATH}/../private -cd ${DOTFILES_PATH}/../private print -n "To clone the private repository, you need to provide its **HTTPS** address (just press Ent...
bash
d_bash_5899
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -output="$(todo.py projects | rofi -dmenu -p 'Todoist: ')" +output="$(rofi -dmenu -p 'Todoist: ')" -todo.py add $output +todo.py add Inbox $output
bash